# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLAnchorElement Class Reference

The anchor element. More...

`#include <html_inline.h>`

Inheritance diagram for DOM::HTMLAnchorElement:

[legend]
Collaboration diagram for DOM::HTMLAnchorElement:

[legend]
List of all members.

## Public Member Functions

| HTMLAnchorElement (const HTMLAnchorElement &other)
| HTMLAnchorElement (const Node &other)
HTMLAnchorElement & | operator= (const HTMLAnchorElement &other)
HTMLAnchorElement & | operator= (const Node &other)
DOMString | accessKey () const
void | setAccessKey (const DOMString &)
DOMString | charset () const
void | setCharset (const DOMString &)
DOMString | coords () const
void | setCoords (const DOMString &)
DOMString | href () const
void | setHref (const DOMString &)
DOMString | hreflang () const
void | setHreflang (const DOMString &)
DOMString | name () const
void | setName (const DOMString &)
DOMString | rel () const
void | setRel (const DOMString &)
DOMString | rev () const
void | setRev (const DOMString &)
DOMString | shape () const
void | setShape (const DOMString &)
long | tabIndex () const
void | setTabIndex (long)
DOMString | target () const
void | setTarget (const DOMString &)
DOMString | type () const
void | setType (const DOMString &)
void | blur ()
void | focus ()

## Protected Member Functions

| HTMLAnchorElement (HTMLAnchorElementImpl *impl)

## Detailed Description

The anchor element.

See the A element definition in HTML 4.0.

Definition at line 47 of file html_inline.h.

## Member Function Documentation

DOMString HTMLAnchorElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 62 of file html_inline.cpp.

void HTMLAnchorElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 68 of file html_inline.cpp.

DOMString HTMLAnchorElement::charset | ( |  | ) | const

| The character encoding of the linked resource. See the charset attribute definition in HTML 4.0. Definition at line 73 of file html_inline.cpp.

void HTMLAnchorElement::setCharset | ( | const DOMString & |  | ) |

| see charset Definition at line 79 of file html_inline.cpp.

DOMString HTMLAnchorElement::coords | ( |  | ) | const

| Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0. Definition at line 84 of file html_inline.cpp.

void HTMLAnchorElement::setCoords | ( | const DOMString & |  | ) |

| see coords Definition at line 90 of file html_inline.cpp.

DOMString HTMLAnchorElement::href | ( |  | ) | const

| The URI of the linked resource. See the href attribute definition in HTML 4.0. Definition at line 95 of file html_inline.cpp. References href(), DOM::DOMString::isNull(), and DOM::DOMString::string(). Referenced by href().

void HTMLAnchorElement::setHref | ( | const DOMString & |  | ) |

| see href Definition at line 102 of file html_inline.cpp.

DOMString HTMLAnchorElement::hreflang | ( |  | ) | const

| Language code of the linked resource. See the hreflang attribute definition in HTML 4.0. Definition at line 107 of file html_inline.cpp.

void HTMLAnchorElement::setHreflang | ( | const DOMString & |  | ) |

| see hreflang Definition at line 113 of file html_inline.cpp.

DOMString HTMLAnchorElement::name | ( |  | ) | const

| Anchor name. See the name attribute definition in HTML 4.0. Definition at line 118 of file html_inline.cpp.

void HTMLAnchorElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 124 of file html_inline.cpp.

DOMString HTMLAnchorElement::rel | ( |  | ) | const

| Forward link type. See the rel attribute definition in HTML 4.0. Definition at line 129 of file html_inline.cpp.

void HTMLAnchorElement::setRel | ( | const DOMString & |  | ) |

| see rel Definition at line 135 of file html_inline.cpp.

DOMString HTMLAnchorElement::rev | ( |  | ) | const

| Reverse link type. See the rev attribute definition in HTML 4.0. Definition at line 140 of file html_inline.cpp.

void HTMLAnchorElement::setRev | ( | const DOMString & |  | ) |

| see rev Definition at line 146 of file html_inline.cpp.

DOMString HTMLAnchorElement::shape | ( |  | ) | const

| The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0. Definition at line 151 of file html_inline.cpp.

void HTMLAnchorElement::setShape | ( | const DOMString & |  | ) |

| see shape Definition at line 157 of file html_inline.cpp.

long HTMLAnchorElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 162 of file html_inline.cpp. References DOM::DOMString::toInt().

void HTMLAnchorElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 168 of file html_inline.cpp.

DOMString HTMLAnchorElement::target | ( |  | ) | const

| Frame to render the resource in. See the target attribute definition in HTML 4.0. Definition at line 176 of file html_inline.cpp.

void HTMLAnchorElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 182 of file html_inline.cpp.

DOMString HTMLAnchorElement::type | ( |  | ) | const

| Advisory content type. See the type attribute definition in HTML 4.0. Definition at line 187 of file html_inline.cpp.

void HTMLAnchorElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 193 of file html_inline.cpp.

void HTMLAnchorElement::blur | ( |  | ) |

Removes keyboard focus from this element.

Returns:

Definition at line 198 of file html_inline.cpp.

void HTMLAnchorElement::focus | ( |  | ) |

Gives keyboard focus to this element.

Returns:

Definition at line 204 of file html_inline.cpp.

The documentation for this class was generated from the following files:

- html_inline.h
- html_inline.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003